

#This is just an effect manager
class EffectList:
    def __init__(self):
        self.effect_list = []
        
    def draw(self, delta=0, rot=0):
        for x in self.effect_list:
            if x.update(delta, rot):
                x.draw()
            else:
                self.effect_list.remove(x)
            
    def register(self, new_effect):
        self.effect_list.append(new_effect)
        
    def __del__(self):
        for x in self.effect_list:
            self.effect_list.remove(x)