import sys
import os
import gutil
import pygame
from pygame.locals import *
from OpenGL.GL import *
from Text import Text
from Image import Image
from OpenGL.GLU import *


class FullScreen:

    # ttl   = seconds before returning if no key is pressed. -1 is infinate
    # file  = file to read from
    # speed = credits per minute to scroll through
    def __init__(self, image, screen):
        self.w = screen[0]
        self.h = screen[1]
        self.splash = Image(image)
        
        
    #draws the list to the screen on a vertical offset   
    def draw(self):
        glDisable(GL_DEPTH_TEST)
        glMatrixMode(GL_PROJECTION)
        glPushMatrix()
        glLoadIdentity()
        gluOrtho2D(0, self.w, 0, self.h)
        glMatrixMode(GL_MODELVIEW)
        glPushMatrix()

        self.splash.draw(width = self.w, height = self.h)

        glPopMatrix()
        glMatrixMode(GL_PROJECTION)
        glPopMatrix()
        glMatrixMode(GL_MODELVIEW)
        glEnable(GL_DEPTH_TEST)
