import os
import gutil
import pygame
import Config
import getopt
import sys

from pygame.locals import *

from Engine import Engine
from Splash import Splash
from Options import Options
from MainMenu import MainMenu
from MapSelect import MapSelect
from CreditRoll import CreditRoll
from OpenGL.GL import *
from Map import Map

from MapParser import MapParser

def main():

    dummy, mapName = getopt.getopt(sys.argv[1:], '') 

    print "Parsing the map ", mapName[0]

    parser = MapParser(mapName[0])
    
    parser.parseMap()
    
    #print "Now reading it in"
    #parser.getMapData('trackhazard1')
    
   
if __name__ == '__main__':
    main() 