import old_gutil
import pygame
from pygame.locals import *
from OpenGL.GL import *
from Map import *

def main():
    pygame.init()
    max_width = 800
    max_height = 600
    old_gutil.initializeDisplay(max_width, max_height)
    done = False
    fps = 0
    frames = 0
    l_time = pygame.time.get_ticks()
    now = pygame.time.get_ticks()
    
    my_map = Map('track3')
    
    while not done:
        if frames >= 1000:
            now = pygame.time.get_ticks()
            fps = 1000000 / (now - l_time)
            frames = 0
            l_time = now
            print "fps:  %.2f" % fps
            
        frames += 1
    
        glClear(GL_COLOR_BUFFER_BIT)
        glLoadIdentity()
        
        glCallList(my_map.displayList)
        pygame.display.flip()
        
        eventlist = pygame.event.get()
        for event in eventlist:
            if event.type == QUIT \
            or event.type == KEYDOWN and event.key == K_ESCAPE:
                done = True
    
if __name__ == '__main__':
    main()